package com.community.huiju.service.impl;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.TaUserMapper;
import com.community.huiju.dao.UserMapper;
import com.community.huiju.model.TaUser;
import com.community.huiju.model.User;
import com.community.huiju.service.IUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物业web端用户表 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
@Service("userService")
@Transactional
@Slf4j
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService {
    @Autowired
    private TaUserMapper taUserMapper;

    @Override
    public ResponseBean selectUserApprove(String paramets) {

        ResponseBean responseBean = new ResponseBean();

        JSONObject jsonobject = JSONObject.parseObject(paramets);
        Integer pageNum= jsonobject.getInteger("pageNum");
        Integer pageSize= jsonobject.getInteger("pageSize");
        TaUser tpTicket = JSONObject.parseObject(paramets,TaUser.class);
        HashMap map = new HashMap<>();
        map.put("loginName",tpTicket.getLoginName());
        map.put("userName",tpTicket.getUserName());
        map.put("verifyStatus",tpTicket.getVerifyStatus());

        // 分页
        Page<TaUser> page = new Page<>();
        page.setSize(pageSize == null ? 1 : pageSize);
        page.setCurrent(pageNum == null ? 10 : pageNum);

        List<Map<Object,Object>> mapList = taUserMapper.selectUserApprove(map,page);
        responseBean.addSuccess(mapList);

        return responseBean;
    }
}
